Bug 176072 - Plextor 716SA DVD burner not working
Plextor 716SA DVD burner not working
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://fedoraproject.org/wiki/DocsPro...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-18 20:18 EST by Th0ma7
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 07:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Call trace (353.08 KB, image/jpeg)
2005-12-20 20:03 EST, Th0ma7
no flags Details
Kernel Panic (351.19 KB, image/jpeg)
2005-12-20 20:11 EST, Th0ma7
no flags Details
2.6.15-1.1782_FC4smp kernel panic (129.27 KB, image/jpeg)
2006-01-06 05:42 EST, Th0ma7
no flags Details
2.6.15-1.1823_FC4smp kernel crash at boot time (112.31 KB, image/jpeg)
2006-01-10 05:42 EST, Th0ma7
no flags Details
2.6.15-1.1824_FC4smp BLIST_INQUIRY_36 msg (138.38 KB, image/jpeg)
2006-01-18 05:57 EST, Th0ma7
no flags Details
2.6.15-1.1824_FC4smp Kernel Panic Part #1 (157.88 KB, image/jpeg)
2006-01-18 05:58 EST, Th0ma7
no flags Details
2.6.15-1.1824_FC4smp Kernel Panic Part #2 (156.71 KB, image/jpeg)
2006-01-18 05:59 EST, Th0ma7
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 5533 None None None Never

  None (edit)
Description Th0ma7 2005-12-18 20:18:48 EST
Description of problem, bug, incorrect information, or enhancement request:
My plextor SATA DVD burner gets recognized by libata but is not available

Here is a part of my dmesg:
SCSI subsystem initialized
libata version 1.12 loaded.
sata_via version 1.1
ACPI: PCI Interrupt 0000:00:0f.0[B] -> GSI 20 (level, low) -> IRQ 169
PCI: Via IRQ fixup for 0000:00:0f.0, from 10 to 9
sata_via(0000:00:0f.0): routed to hard irq line 9
ata1: SATA max UDMA/133 cmd 0xD000 ctl 0xC802 bmdma 0xB800 irq 169
ata2: SATA max UDMA/133 cmd 0xC400 ctl 0xC002 bmdma 0xB808 irq 169
ata1: SATA link up 1.5 Gbps (SStatus 113)
ata1: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4673 85:7c69 86:3e01 87:4663 88:407f
ata1: dev 0 ATA, max UDMA/133, 490234752 sectors: lba48
ata1: dev 0 configured for UDMA/133
scsi0 : sata_via
ata2: SATA link up 1.5 Gbps (SStatus 113)
ata2: dev 0 cfg 49:0f00 82:0000 83:0000 84:0000 85:0000 86:0000 87:0000 88:001f
ata2: dev 0 ATAPI, max UDMA/66
ata2(0): applying bridge limits
ata2: dev 0 configured for UDMA/66
scsi1 : sata_via
  Vendor: ATA       Model: Maxtor 6B250S0    Rev: BANC
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB)
SCSI device sda: drive cache: write back
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB)
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 >
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com


Here is my hardware info (lspci):
[root@th0ma7 ~]# lspci
00:00.0 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
00:00.7 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:07.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
00:0a.0 Ethernet controller: Marvell Technology Group Ltd. 88E8001 Gigabit
Ethernet Controller (rev 13)
00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID
Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge
[KT600/K8T800/K8T890 South]
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237
AC97 Audio Controller (rev 60)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation NV40 [GeForce 6800] (rev a1)

And here is the scsi info:
[root@th0ma7 ~]# cat /proc/scsi/scsi
Attached devices:
Host: scsi1 Channel: 00 Id: 00 Lun: 00  (MAIN SATA HD)
  Vendor: ATA      Model: Maxtor 6B250S0   Rev: BANC
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi3 Channel: 00 Id: 00 Lun: 00 (SMART CARD READER)
  Vendor: Generic  Model: STORAGE DEVICE   Rev: 0125
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 01 (SMART CARD READER)
  Vendor: Generic  Model: STORAGE DEVICE   Rev: 0125
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 02 (SMART CARD READER)
  Vendor: Generic  Model: STORAGE DEVICE   Rev: 0125
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi3 Channel: 00 Id: 00 Lun: 03 (SMART CARD READER)
  Vendor: Generic  Model: STORAGE DEVICE   Rev: 0125
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 00 Lun: 00 (USB HD)
  Vendor: HDS72251 Model: 6VLAT80          Rev:  0 0
  Type:   Direct-Access                    ANSI SCSI revision: 02

I also have this hardware (which work properly):
SATA hard drive
IDE CD Burner
IDE DVD Reader
Smart Card Reader

Version of release notes this bug refers to:

Fedora Core 4 final release

This bug occured on both i386 and x86_64 based FC4 system... 
It also occured with kubuntu on a 2.6.12 kernel (which in fact hanged at install
time).
I've also tried a few 2.6.15 releases without more success..

thnx!

- vin
Comment 1 Paul W. Frields 2005-12-18 22:04:03 EST
Why is this filed against the release notes contacts?  Reassigning to the owner
and QA contact for this component.
Comment 2 Dave Jones 2005-12-19 23:11:24 EST
this should be fixed in the work-in-progress kernel at
http://people.redhat.com/davej/kernels/Fedora/FC4/
Comment 3 Th0ma7 2005-12-20 20:03:31 EST
Created attachment 122475 [details]
Call trace
Comment 4 Th0ma7 2005-12-20 20:11:07 EST
Created attachment 122476 [details]
Kernel Panic
Comment 5 Th0ma7 2005-12-20 20:12:28 EST
Gave a try at 2.6.14-1.1771_FC4smp and got a kernel panic... 
 
Took some picture of the call trace and the kernel panic. 
Comment 6 Th0ma7 2005-12-27 07:30:34 EST
With 2.6.14-1.1776_FC4smp I've been able to boot once... After that I ran into 
kernel panic.. Makes me think of an SMP issue that I ran into with the spock 
fbconsole a year ago. 
 
Although, here is the output when it booted right: 
SCSI subsystem initialized 
libata version 1.20 loaded. 
sata_via 0000:00:0f.0: version 1.1 
ACPI: PCI Interrupt 0000:00:0f.0[B] -> GSI 20 (level, low) -> IRQ 169 
PCI: Via IRQ fixup for 0000:00:0f.0, from 10 to 9 
sata_via 0000:00:0f.0: routed to hard irq line 9 
ata1: SATA max UDMA/133 cmd 0xD000 ctl 0xC802 bmdma 0xB800 irq 169 
ata2: SATA max UDMA/133 cmd 0xC400 ctl 0xC002 bmdma 0xB808 irq 169 
ata1: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4673 85:7c69 86:3e01 87:4663 
88:407f 
ata1: dev 0 ATA-7, max UDMA/133, 490234752 sectors: LBA48 
ata1: dev 0 configured for UDMA/133 
scsi0 : sata_via 
ata2: dev 0 cfg 49:0f00 82:0000 83:0000 84:0000 85:0000 86:0000 87:0000 
88:001f 
ata2: dev 0 ATAPI, max UDMA/66 
ata2(0): applying bridge limits 
ata2: dev 0 configured for UDMA/66 
scsi1 : sata_via 
  Vendor: ATA       Model: Maxtor 6B250S0    Rev: BANC 
  Type:   Direct-Access                      ANSI SCSI revision: 05 
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB) 
SCSI device sda: drive cache: write back 
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB) 
SCSI device sda: drive cache: write back 
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 > 
sd 0:0:0:0: Attached scsi disk sda 
ata2: command 0xa0 timeout, stat 0xd0 host_stat 0x1 
ata2: translated ATA stat/err 0xd0/00 to SCSI SK/ASC/ASCQ 0xb/47/00 
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com 
 
The DVD Burner did not seemed to be recognized (did not had the time to check 
that out.. only kept the dmesg output) 
 
- vin 
Comment 7 Th0ma7 2006-01-06 05:34:38 EST
I gave a try to 2.6.15-1.1782_FC4smp but also crashed on libata (tried to boot 
twice).  
  
Comment 8 Th0ma7 2006-01-06 05:42:07 EST
Created attachment 122865 [details]
2.6.15-1.1782_FC4smp kernel panic
Comment 9 Th0ma7 2006-01-08 12:03:17 EST
I gave a try at 2.6.15-1.1823_FC4smp... Got it to boot and kept the dmesg: 
libata version 1.20 loaded. 
sata_via 0000:00:0f.0: version 1.1 
ACPI: PCI Interrupt 0000:00:0f.0[B] -> GSI 20 (level, low) -> IRQ 169 
PCI: Via IRQ fixup for 0000:00:0f.0, from 10 to 9 
sata_via 0000:00:0f.0: routed to hard irq line 9 
ata1: SATA max UDMA/133 cmd 0xD000 ctl 0xC802 bmdma 0xB800 irq 169 
ata2: SATA max UDMA/133 cmd 0xC400 ctl 0xC002 bmdma 0xB808 irq 169 
ata1: SATA link up 1.5 Gbps (SStatus 113) 
ata1: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4673 85:7c69 86:3e01 87:4663 
88:407f 
ata1: dev 0 ATA-7, max UDMA/133, 490234752 sectors: LBA48 
ata1: dev 0 configured for UDMA/133 
scsi0 : sata_via 
ata2: SATA link up 1.5 Gbps (SStatus 113) 
ata2: dev 0 cfg 49:0f00 82:0000 83:0000 84:0000 85:0000 86:0000 87:0000 
88:001f 
ata2: dev 0 ATAPI, max UDMA/66 
ata2(0): applying bridge limits 
ata2: dev 0 configured for UDMA/66 
scsi1 : sata_via 
  Vendor: ATA       Model: Maxtor 6B250S0    Rev: BANC 
  Type:   Direct-Access                      ANSI SCSI revision: 05 
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB) 
SCSI device sda: drive cache: write back 
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB) 
SCSI device sda: drive cache: write back 
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 > 
sd 0:0:0:0: Attached scsi disk sda 
ata2: command 0xa0 timeout, stat 0xd0 host_stat 0x1 
ata2: translated ATA stat/err 0xd0/00 to SCSI SK/ASC/ASCQ 0xb/47/00 
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com 
 
then when it got to map my USB drive: 
SCSI device sdb: 321672960 512-byte hdwr sectors (164697 MB) 
slab error in cache_free_debugcheck(): cache `sgpool-8': double free, or 
memory outside object was overwritten 
 [<c0153593>] cache_free_debugcheck+0x1ab/0x22f     [<c014d3c2>] 
mempool_free+0x3a/0x73 
 [<c01540e2>] kmem_cache_free+0x2a/0x69     [<c014d3c2>] 
mempool_free+0x3a/0x73 
 [<f8862c8b>] scsi_io_completion+0x207/0x4d2 [scsi_mod]     [<f885dcad>] 
scsi_finish_command+0x82/0xd0 [scsi_mod] 
 [<f885db8e>] scsi_softirq+0xc0/0x137 [scsi_mod]     [<c012a152>] 
__do_softirq+0x72/0xdc 
 [<c01063d3>] do_softirq+0x4b/0x4f 
 ======================= 
 [<c01062b5>] do_IRQ+0x55/0x86     [<c0104aca>] common_interrupt+0x1a/0x20 
 [<c010201a>] default_idle+0x0/0x55     [<c0102046>] default_idle+0x2c/0x55 
 [<c01020ef>] cpu_idle+0x6c/0xa7 
f79a41d0: redzone 1: 0x170fc2a5, redzone 2: 0xc014d2d1. 
slab error in cache_free_debugcheck(): cache `sgpool-8': double free, or 
memory outside object was overwritten 
 [<c0153593>] cache_free_debugcheck+0x1ab/0x22f     [<c014d3c2>] 
mempool_free+0x3a/0x73 
 [<c01540e2>] kmem_cache_free+0x2a/0x69     [<c014d3c2>] 
mempool_free+0x3a/0x73 
 [<f8862c8b>] scsi_io_completion+0x207/0x4d2 [scsi_mod]     [<f885dcad>] 
scsi_finish_command+0x82/0xd0 [scsi_mod] 
 [<f885db8e>] scsi_softirq+0xc0/0x137 [scsi_mod]     [<c012a152>] 
__do_softirq+0x72/0xdc 
 [<c01063d3>] do_softirq+0x4b/0x4f 
 ======================= 
 [<c01062b5>] do_IRQ+0x55/0x86     [<c0104aca>] common_interrupt+0x1a/0x20 
 [<c010201a>] default_idle+0x0/0x55     [<c0102046>] default_idle+0x2c/0x55 
 [<c01020ef>] cpu_idle+0x6c/0xa7 
f79a41d0: redzone 1: 0x170fc2a5, redzone 2: 0xc014d2d1. 
sdb: got wrong page 
sdb: assuming drive cache: write through 
SCSI device sdb: 321672960 512-byte hdwr sectors (164697 MB) 
slab error in cache_free_debugcheck(): cache `sgpool-8': double free, or 
memory outside object was overwritten 
 [<c0153593>] cache_free_debugcheck+0x1ab/0x22f     [<c014d3c2>] 
mempool_free+0x3a/0x73 
 [<c01540e2>] kmem_cache_free+0x2a/0x69     [<c014d3c2>] 
mempool_free+0x3a/0x73 
 [<f8862c8b>] scsi_io_completion+0x207/0x4d2 [scsi_mod]     [<f885dcad>] 
scsi_finish_command+0x82/0xd0 [scsi_mod] 
 [<f885db8e>] scsi_softirq+0xc0/0x137 [scsi_mod]     [<c012a152>] 
__do_softirq+0x72/0xdc 
 [<c01063d3>] do_softirq+0x4b/0x4f 
 ======================= 
 [<c01062b5>] do_IRQ+0x55/0x86     [<c016a311>] filp_close+0x3e/0x62 
 [<c0104aca>] common_interrupt+0x1a/0x20 
f79a41d0: redzone 1: 0x170fc2a5, redzone 2: 0xc014d2d1. 
slab error in cache_free_debugcheck(): cache `sgpool-8': double free, or 
memory outside object was overwritten 
 [<c0153593>] cache_free_debugcheck+0x1ab/0x22f     [<c014d3c2>] 
mempool_free+0x3a/0x73 
 [<c01540e2>] kmem_cache_free+0x2a/0x69     [<c014d3c2>] 
mempool_free+0x3a/0x73 
 [<f8862c8b>] scsi_io_completion+0x207/0x4d2 [scsi_mod]     [<f885dcad>] 
scsi_finish_command+0x82/0xd0 [scsi_mod] 
 [<f885db8e>] scsi_softirq+0xc0/0x137 [scsi_mod]     [<c012a152>] 
__do_softirq+0x72/0xdc 
 [<c01063d3>] do_softirq+0x4b/0x4f 
 ======================= 
 [<c01062b5>] do_IRQ+0x55/0x86     [<c0104aca>] common_interrupt+0x1a/0x20 
f79a41d0: redzone 1: 0x170fc2a5, redzone 2: 0xc014d2d1. 
sdb: got wrong page 
sdb: assuming drive cache: write through 
 sdb: sdb1 sdb2 sdb4 < sdb5 sdb6 sdb7 sdb8 sdb9 > 
sd 3:0:0:0: Attached scsi disk sdb 
 
But still.. no Plextor drive available... 
 
then still a few errors: 
slab error in cache_alloc_debugcheck_after(): cache `sgpool-8': double free, 
or memory outside object was overwritten 
 [<c0153b3a>] cache_alloc_debugcheck_after+0x110/0x174     [<c015149f>] 
dbg_redzone1+0x11/0x22 
 [<c0153e93>] kmem_cache_alloc+0x5e/0x8e     [<c014d2d1>] 
mempool_alloc+0x26/0xdd 
 [<c014d2d1>] mempool_alloc+0x26/0xdd     [<c0153e93>] 
kmem_cache_alloc+0x5e/0x8e 
 [<f885d0c5>] __scsi_get_command+0x13/0x53 [scsi_mod]     [<f8862f88>] 
scsi_init_io+0x32/0x118 [scsi_mod] 
 [<f885d184>] scsi_get_command+0x7f/0x9a [scsi_mod]     [<f8863294>] 
scsi_prep_fn+0xb2/0x240 [scsi_mod] 
 [<c01e0542>] elv_next_request+0x2c/0x176     [<f88634c0>] 
scsi_request_fn+0x45/0x369 [scsi_mod] 
 [<c01ec552>] cfq_kick_queue+0x7d/0x90     [<c0134ce0>] 
worker_thread+0x184/0x22d 
 [<c01ec4d5>] cfq_kick_queue+0x0/0x90     [<c01205ee>] 
default_wake_function+0x0/0xc 
 [<c0134b5c>] worker_thread+0x0/0x22d     [<c0138e29>] kthread+0x93/0x97 
 [<c0138d96>] kthread+0x0/0x97     [<c010243d>] kernel_thread_helper+0x5/0xb 
f79a427c: redzone 1: 0x6b6b6b6b, redzone 2: 0x5a2cf071. 
ata1: translated ATA stat/err 0x51/84 to SCSI SK/ASC/ASCQ 0xb/47/00 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: translated ATA stat/err 0x51/84 to SCSI SK/ASC/ASCQ 0xb/47/00 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: translated ATA stat/err 0x51/84 to SCSI SK/ASC/ASCQ 0xb/47/00 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
 
Comment 10 Th0ma7 2006-01-08 12:08:23 EST
After that I rebooted to my 2.6.14-1.1653_FC4smp kernel... and figured out 
something:  Everythime I "reboot" to a kernel with atapi enabled on sata my PC 
crash.  If I simply "cold-boot" it will... most of the time... boot-up 
correctly.  I'm currently running 2.6.15-1.1823_FC4smp kernel but I have 
disconnected my plextor drive.. I'll make more tests later on. 
 
I also got an error message from my SATA chipset when rebooting saying that it 
was not capable of probing any devices... I got fix by cold-booting once more. 
 
Also, I found out that I had some errors with the 2.6.14-1.1653_FC4smp kernel. 
It often says: 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
ata1: error=0x84 { DriveStatusError BadCRC } 
ata1: status=0x51 { DriveReady SeekComplete Error } 
 
Hoping this info will help. 
 
- vin 
Comment 11 Th0ma7 2006-01-10 05:42:25 EST
Created attachment 122991 [details]
2.6.15-1.1823_FC4smp kernel crash at boot time

From time to time, even without my plextor dvd drive connected, the kernel
crashes at boot time.
Comment 12 Th0ma7 2006-01-13 05:41:51 EST
Since there had been no crash for two days I tought I should try to reconnect 
my SATA Plextor DVD drive.  I got the usual: 
sata_via 0000:00:0f.0: routed to hard irq line 9 
ata1: SATA max UDMA/133 cmd 0xD000 ctl 0xC802 bmdma 0xB800 irq 169 
ata2: SATA max UDMA/133 cmd 0xC400 ctl 0xC002 bmdma 0xB808 irq 169 
ata1: SATA link up 1.5 Gbps (SStatus 113) 
ata1: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4673 85:7c69 86:3e01 87:4663 
88:407f 
ata1: dev 0 ATA-7, max UDMA/133, 490234752 sectors: LBA48 
ata1: dev 0 configured for UDMA/133 
scsi0 : sata_via 
ata2: SATA link up 1.5 Gbps (SStatus 113) 
ata2: dev 0 cfg 49:0f00 82:0000 83:0000 84:0000 85:0000 86:0000 87:0000 
88:001f 
ata2: dev 0 ATAPI, max UDMA/66 
ata2(0): applying bridge limits 
ata2: dev 0 configured for UDMA/66 
scsi1 : sata_via 
  Vendor: ATA       Model: Maxtor 6B250S0    Rev: BANC 
  Type:   Direct-Access                      ANSI SCSI revision: 05 
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB) 
SCSI device sda: drive cache: write back 
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB) 
SCSI device sda: drive cache: write back 
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 > 
sd 0:0:0:0: Attached scsi disk sda 
ata2: command 0xa0 timeout, stat 0xd0 host_stat 0x1 
ata2: translated ATA stat/err 0xd0/00 to SCSI SK/ASC/ASCQ 0xb/47/00 
 
And a lot of debug or errors messsages: 
scsi3 : SCSI emulation for IEEE-1394 SBP-2 Devices 
usbcore: registered new driver snd-usb-audio 
cdrom: open failed. 
ieee1394: sbp2: Logged into SBP-2 device 
ieee1394: Node 0-00:1023: Max speed [S400] - Max payload [2048] 
  Vendor: PI-036    Model: 1394/USB20 Drive  Rev: 4.65 
  Type:   Direct-Access                      ANSI SCSI revision: 00 
SCSI device sdb: 321672960 512-byte hdwr sectors (164697 MB) 
slab error in cache_free_debugcheck(): cache `sgpool-8': double free, or 
memory outside object was overwritten 
 [<c0153503>] cache_free_debugcheck+0x1ab/0x22f     [<c014d362>] 
mempool_free+0x3a/0x73 
 [<c0154052>] kmem_cache_free+0x2a/0x69     [<c014d362>] 
mempool_free+0x3a/0x73 
 [<f8862c8b>] scsi_io_completion+0x207/0x4d2 [scsi_mod]     [<f885dcad>] 
scsi_finish_command+0x82/0xd0 [scsi_mod] 
 [<f885db8e>] scsi_softirq+0xc0/0x137 [scsi_mod]     [<c012a152>] 
__do_softirq+0x72/0xdc 
 [<c0106383>] do_softirq+0x4b/0x4f 
 ======================= 
 [<c0106265>] do_IRQ+0x55/0x86     [<c0104a7a>] common_interrupt+0x1a/0x20 
 [<c010201a>] default_idle+0x0/0x55     [<c0102046>] default_idle+0x2c/0x55 
 [<c01020ef>] cpu_idle+0x6c/0xa7 
f7dcb52c: redzone 1: 0x170fc2a5, redzone 2: 0xc014d271. 
slab error in cache_free_debugcheck(): cache `sgpool-8': double free, or 
memory outside object was overwritten 
 [<c0153503>] cache_free_debugcheck+0x1ab/0x22f     [<c014d362>] 
mempool_free+0x3a/0x73 
 [<c0154052>] kmem_cache_free+0x2a/0x69     [<c014d362>] 
mempool_free+0x3a/0x73 
 [<f8862c8b>] scsi_io_completion+0x207/0x4d2 [scsi_mod]     [<f885dcad>] 
scsi_finish_command+0x82/0xd0 [scsi_mod] 
 [<f885db8e>] scsi_softirq+0xc0/0x137 [scsi_mod]     [<c012a152>] 
__do_softirq+0x72/0xdc 
 [<c0106383>] do_softirq+0x4b/0x4f 
 ======================= 
 [<c0106265>] do_IRQ+0x55/0x86     [<c0104a7a>] common_interrupt+0x1a/0x20 
 [<c010201a>] default_idle+0x0/0x55     [<c0102046>] default_idle+0x2c/0x55 
 [<c01020ef>] cpu_idle+0x6c/0xa7 
f7dcb52c: redzone 1: 0x170fc2a5, redzone 2: 0xc014d271. 
sdb: got wrong page 
sdb: assuming drive cache: write through 
SCSI device sdb: 321672960 512-byte hdwr sectors (164697 MB) 
slab error in cache_free_debugcheck(): cache `sgpool-8': double free, or 
memory outside object was overwritten 
 [<c0153503>] cache_free_debugcheck+0x1ab/0x22f     [<c014d362>] 
mempool_free+0x3a/0x73 
 [<c0154052>] kmem_cache_free+0x2a/0x69     [<c014d362>] 
mempool_free+0x3a/0x73 
 [<f8862c8b>] scsi_io_completion+0x207/0x4d2 [scsi_mod]     [<f885dcad>] 
scsi_finish_command+0x82/0xd0 [scsi_mod] 
 [<c013608a>] rcu_check_quiescent_state+0x53/0x5d     [<f885db8e>] 
scsi_softirq+0xc0/0x137 [scsi_mod] 
 [<c012a152>] __do_softirq+0x72/0xdc     [<c0106383>] do_softirq+0x4b/0x4f 
 ======================= 
 [<c0106265>] do_IRQ+0x55/0x86     [<c0104a7a>] common_interrupt+0x1a/0x20 
 [<c010201a>] default_idle+0x0/0x55     [<c0102046>] default_idle+0x2c/0x55 
 [<c01020ef>] cpu_idle+0x6c/0xa7 
f7dcb52c: redzone 1: 0x170fc2a5, redzone 2: 0xc014d271. 
slab error in cache_free_debugcheck(): cache `sgpool-8': double free, or 
memory outside object was overwritten 
 [<c0153503>] cache_free_debugcheck+0x1ab/0x22f     [<c014d362>] 
mempool_free+0x3a/0x73 
 [<c0154052>] kmem_cache_free+0x2a/0x69     [<c014d362>] 
mempool_free+0x3a/0x73 
 [<f8862c8b>] scsi_io_completion+0x207/0x4d2 [scsi_mod]     [<f885dcad>] 
scsi_finish_command+0x82/0xd0 [scsi_mod] 
 [<f885db8e>] scsi_softirq+0xc0/0x137 [scsi_mod]     [<c012a152>] 
__do_softirq+0x72/0xdc 
 [<c0106383>] do_softirq+0x4b/0x4f 
 ======================= 
 [<c0106265>] do_IRQ+0x55/0x86     [<c0119d8c>] 
smp_apic_timer_interrupt+0xc1/0xca 
 [<c0104a7a>] common_interrupt+0x1a/0x20     [<c010201a>] 
default_idle+0x0/0x55 
 [<c0102046>] default_idle+0x2c/0x55     [<c01020ef>] cpu_idle+0x6c/0xa7 
f7dcb52c: redzone 1: 0x170fc2a5, redzone 2: 0xc014d271. 
sdb: got wrong page 
sdb: assuming drive cache: write through 
 sdb: sdb1 sdb2 sdb4 < sdb5 sdb6 sdb7 sdb8 sdb9 > 
sd 3:0:0:0: Attached scsi disk sdb 
slab error in cache_alloc_debugcheck_after(): cache `sgpool-8': double free, 
or memory outside object was overwritten 
 [<c0153aaa>] cache_alloc_debugcheck_after+0x110/0x174     [<c015140f>] 
dbg_redzone1+0x11/0x22 
 [<c0153e03>] kmem_cache_alloc+0x5e/0x8e     [<c014d271>] 
mempool_alloc+0x26/0xdd 
 [<c014d271>] mempool_alloc+0x26/0xdd     [<c0153e03>] 
kmem_cache_alloc+0x5e/0x8e 
 [<f885d0c5>] __scsi_get_command+0x13/0x53 [scsi_mod]     [<f8862f88>] 
scsi_init_io+0x32/0x118 [scsi_mod] 
 [<f885d184>] scsi_get_command+0x7f/0x9a [scsi_mod]     [<f8863294>] 
scsi_prep_fn+0xb2/0x240 [scsi_mod] 
 [<c01e0282>] elv_next_request+0x2c/0x176     [<f88634c0>] 
scsi_request_fn+0x45/0x369 [scsi_mod] 
 [<c012db61>] del_timer+0x43/0x4b     [<c01ebb42>] 
cfq_start_queueing+0x12/0x1a 
 [<c01e01dd>] __elv_add_request+0x12e/0x163     [<c01e3746>] 
__make_request+0x1fc/0x4c1 
 [<c015140f>] dbg_redzone1+0x11/0x22     [<c01e3bf6>] 
generic_make_request+0x150/0x1f0 
 [<c0153e03>] kmem_cache_alloc+0x5e/0x8e     [<c014d271>] 
mempool_alloc+0x26/0xdd 
 [<c014d271>] mempool_alloc+0x26/0xdd     [<c01e3cdc>] submit_bio+0x46/0xcc 
 [<c016fb65>] bio_add_page+0x26/0x2c     [<c018e3e5>] dio_bio_submit+0x83/0x94 
 [<c018f231>] direct_io_worker+0x339/0x59d     [<c0153a0e>] 
cache_alloc_debugcheck_after+0x74/0x174 
 [<c018f6ad>] __blockdev_direct_IO+0x218/0x3c1     [<c0171f3d>] 
blkdev_get_blocks+0x0/0x90 
 [<c0172022>] blkdev_direct_IO+0x55/0x5c     [<c0171f3d>] 
blkdev_get_blocks+0x0/0x90 
 [<c014cdea>] generic_file_direct_IO+0x6b/0x10c     [<c014abbd>] 
__generic_file_aio_read+0xbc/0x24c 
 [<c014e587>] buffered_rmqueue+0xce/0x21b     [<c014ad9c>] 
generic_file_read+0x0/0xb9 
 [<c014ae37>] generic_file_read+0x9b/0xb9     [<c0151c4c>] 
poison_obj+0x20/0x3d 
 [<c0139266>] autoremove_wake_function+0x0/0x37     [<c016aa12>] 
vfs_read+0xa0/0x158 
 [<c016ad7b>] sys_read+0x41/0x6a     [<c0104035>] syscall_call+0x7/0xb 
 
SDB is actually my external firewire hard drive... Maybie there is a 
misunderstanding between my SATA DVD drive wich should (I think) be sdb but 
does not get detected properly vs my firewire HD ??? 
 
Anyhow, I rebooted once more and reactivated the raid sata interface from the 
BIOS (a Promise I think)... I thought it might detect my drive... never know.  
It actually tried to detect all of my drives and that took about 2 minutes 
before telling I did not had the appropriate configuration and that I had to 
reboot.  All my tests failed (wich is probably right since I only got 1x SATA 
HD, 1x IDE CDR, 1x IDE DVD, 1x SATA DVD-R... nothing to enable any type of 
RAID.  Although, I re-disabled the marvell raid interface from the bios and 
booted again and.... I don't get it but my Plextor appeared right away into 
the libata section of the boot messages.  Although the kernel crashed right 
after that so I have'nt been able to get a text output of that. 
 
I'll try to make some more testing to find out exactly how I can get that 
message. 
Comment 13 Th0ma7 2006-01-16 05:44:50 EST
I made some more testing...  
My DVD-R is plugged on the channel 1 of the VIA based SATA controler and it is 
being seen by the controler at boot time... It is not plugged on the dedicated 
Promise SATA plugs (else it is never detected by the controler) 
I find out that: 
1- With Promise Controler OFF 
I either get a BLACK LISTED device with a core being dumped around HAL startup 
and udev writes down an error on /dev/cdrom0 or something like that... 
--== OR ==-- 
I get a 
ata2: command 0xa0 timeout, stat 0xd0 host_stat 0x1 
ata2: translated ATA stat/err 0xd0/00 to SCSI SK/ASC/ASCQ 0xb/47/00 
but my computer boots and run fine (like while I'm writing this bug message) 
 
 
2- With the Promise Controler 
The promise controler always do a scan of all the peripherals connected to 
every SATA ports and exit saying there is nothing to configure. 
At the first boot curiously my Plextor always get's detected by libata and I 
always get a core dump.... Note that either the speed of my main HD drive 
changed or it is really really slow at getting udev working. 
In every case I get a core being dumped with both my plextor connected and the 
promise controler ON. 
Comment 14 Th0ma7 2006-01-18 05:54:29 EST
I made some more testing... 
I cold rebooted about 30 times to dig down a bit more on the problem. 
 
- 3 out of 4 boots generate a 0xa0 timeout on my ata2 device.  My computer 
although works fine but the Plextor DVDR does not work. 
- 1 out of 4 I get a "Consider BLIST_INQUIRY_36 for this device" + "ata2 is 
slow to respond, please be patient" + finally a kernel panic around HAL 
startup with an error message on the second part of the panic "BUG: spinlock 
lockup on CPU#1, swapper/0, f79c2938 (Not tainted) 
- 1 out of 20 boots my plextor gets recognized.... then udev takes a few 
minutes to finally start up then I finally get a kernel crash once again. 
 
I took some new picture of the BLIST_INQUIRY_36 msg + the 2 part kernel panic. 
 
- vin 
Comment 15 Th0ma7 2006-01-18 05:57:35 EST
Created attachment 123368 [details]
2.6.15-1.1824_FC4smp BLIST_INQUIRY_36 msg
Comment 16 Th0ma7 2006-01-18 05:58:49 EST
Created attachment 123369 [details]
2.6.15-1.1824_FC4smp Kernel Panic Part #1
Comment 17 Th0ma7 2006-01-18 05:59:29 EST
Created attachment 123370 [details]
2.6.15-1.1824_FC4smp Kernel Panic Part #2
Comment 18 Th0ma7 2006-01-24 18:43:41 EST
I gave a try at 2.6.15-1.2004_FC4smp and now I'm always getting a    
BLIST_INQUIRY_36 + a reset... not a kernel panic... my system simply does a   
reset, it tilts!  In fact I have not been able to boot correctly with it 
once... so I'm actually staying with 2.6.15-1.1824_FC4smp version wich usually 
boots right with the "ata2: command 0xa0 timeout" 
  
- vin  
Comment 19 Dave Jones 2006-02-03 00:27:29 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 20 Th0ma7 2006-02-03 05:50:27 EST
2.6.15-1.1830 still crashes. (like version 2.6.15-1.2003 and 2.6.15-1.2004 
that had been into the dev. channel). 
 
Note:  Some more info and development is available also at 
http://bugzilla.kernel.org/show_bug.cgi?id=5533 
 
- vin 
Comment 21 Th0ma7 2006-03-28 13:42:46 EST
Installed FC5 x86_64 and I'm now using 2.6.16-1.2071_FC5 and still having the
same problems...  I also gave a try at 2.6.17-rc0-git14 since there is a big
libata update.. although the bug still persist, at least my PC does not crash
under a BLIST_INQUIRY_36 warning.
Comment 22 Th0ma7 2006-05-16 07:41:03 EDT
Thre is a patch available:

Use patch:
http://www.kernel.org/pub/linux/kernel/people/jgarzik/libata/2.6.17-rc4-git2-libata1.patch.bz2
(patch posted on lklm)

It allowed me to finally burn my first DVD using my Plextor 716SA !!!

Works like a charm!

Could be included in 2.6.17_XYZ_FC5 ??

- vin

Note You need to log in before you can comment on or make changes to this bug.